
Packaging - Feature #13686

armv8/arm64 Debian package support

02/12/2016 08:10 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version: 1.13.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we're building Debian packages for i386, amd64 and armhf, but it's possible for us to build the smart proxy packages on

arm64 and with Ubuntu 16.04, probably to build Foreman itself too.

We don't though have a builder any more for arm64, so to re-enable these we'll need a contribution.  If you can help, please post

here or the foreman-dev list (http://theforeman.org/support.html).

Related issues:

Related to Packaging - Feature #11944: armv7/8 support (Debian/Ubuntu) Closed 09/24/2015

History

#1 - 02/12/2016 08:10 AM - Dominic Cleal

- Related to Feature #11944: armv7/8 support (Debian/Ubuntu) added

#2 - 10/17/2016 05:55 PM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

We do have a arm64 build slave again, and if everything turns out well, 1.13.1 could have arm64/armv8/aarch64 packages for Ubuntu/xenial again.

#3 - 11/22/2016 07:39 AM - Anonymous

- Status changed from Assigned to Closed

This seems to run just fine now.

#4 - 11/22/2016 09:34 AM - Dominic Cleal

- translation missing: en.field_release set to 190
